# Uses of Class
org.jmol.awtjs.swing.JComponent

Packages that use JComponent
Package
Description
org.jmol.awtjs.swing

## Uses of JComponent in org.jmol.awtjs.swing

Subclasses of JComponent in org.jmol.awtjs.swing
Modifier and Type
Class
Description
`class`
`AbstractButton`
`class`
`JButton`
`class`
`JCheckBox`
`class`
`JCheckBoxMenuItem`
`class`
`JComboBox<T>`
`class`
`JContentPane`
`class`
`JEditorPane`
A simple implementation of a Swing JTextPane.
`class`
`JLabel`
`class`
`JMenu`
`class`
`JMenuItem`
`class`
`JPanel`
`class`
`JPopupMenu`
`class`
`JRadioButtonMenuItem`
`class`
`JScrollPane`
`class`
`JSplitPane`
`class`
`JTable`
`class`
`JTextField`
`class`
`JTextPane`
A simple implementation of a Swing JTextPane.
Methods in org.jmol.awtjs.swing with parameters of type JComponent
Modifier and Type
Method
Description
`void`
Grid.`add(JComponent btn, GridBagConstraints c)`
`void`
JPanel.`add(JComponent btn, Object c)`
`void`
JSplitPane.`setLeftComponent(JComponent l)`
`void`
JSplitPane.`setRightComponent(JComponent r)`
Constructors in org.jmol.awtjs.swing with parameters of type JComponent
Modifier
Constructor
Description
``
`Cell(JComponent btn, GridBagConstraints c)`
``
`JScrollPane(JComponent component)`